Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass Class Reference

This compiler pass will create the metadata and binarydata IO handlers depending on container configuration. More...

Inheritance diagram for eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass:

## Public Member Functions
| __construct (ArrayObject $metadataHandlerFactories=null, ArrayObject $binarydataHandlerFactories=null)
| process (ContainerBuilder $container)

## Protected Member Functions
| processHandlers (ContainerBuilder $container, Definition $factory, array $configuredHandlers, ArrayObject $factories, $defaultHandler)
| getFactory (ArrayObject $factories, $type, ContainerBuilder $container)
| Returns from $factories the factory for handler $type. More...

## Private Attributes
| $metadataHandlerFactories
| $binarydataHandlerFactories

## Detailed Description

This compiler pass will create the metadata and binarydata IO handlers depending on container configuration.

Todo:
  Refactor into two passes, since they're very very close.

Definition at line 22 of file IOConfigurationPass.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass::__construct | ( | ArrayObject | $metadataHandlerFactories = `null`,
|  | ArrayObject | $binarydataHandlerFactories = `null`
| ) |  |

Definition at line 30 of file IOConfigurationPass.php.

References eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass\$binarydataHandlerFactories, and eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass\$metadataHandlerFactories.

## Member Function Documentation

## ◆ getFactory()

eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass::getFactory | ( | ArrayObject | $factories,
|  |  | $type,
|  | ContainerBuilder | $container
| ) |  |
| protected

Returns from $factories the factory for handler $type.

Parameters

  ContainerBuilder | $container |
  \eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory[] | ArrayObject | ContainerAware[] | $factories |
  string | $type |

Returns
  \eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory

Definition at line 112 of file IOConfigurationPass.php.

Referenced by eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass\processHandlers().

## ◆ process()

eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass::process | ( | ContainerBuilder | $container | ) |

Parameters

  \Symfony\Component\DependencyInjection\ContainerBuilder | $container |

Exceptions

Definition at line 43 of file IOConfigurationPass.php.

References eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass\processHandlers().

## ◆ processHandlers()

eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass::processHandlers | ( | ContainerBuilder | $container,
|  | Definition | $factory,
|  | array | $configuredHandlers,
|  | ArrayObject | $factories,
|  |  | $defaultHandler
| ) |  |
| protected

Parameters

  ContainerBuilder | $container |
  Definition | $factory | The factory service that should receive the list of handlers
  array | $configuredHandlers | Handlers configuration declared via semantic config
  \eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory[] | ArrayObject | $factories | Map of alias => handler service id
  string | $defaultHandler | default handler id

param $HandlerTypesMap

Definition at line 79 of file IOConfigurationPass.php.

References eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass\getFactory().

Referenced by eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass\process().

## Member Data Documentation

## ◆ $binarydataHandlerFactories

eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass::$binarydataHandlerFactories
| private

Definition at line 28 of file IOConfigurationPass.php.

Referenced by eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass\__construct().

## ◆ $metadataHandlerFactories

eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass::$metadataHandlerFactories
| private

Definition at line 25 of file IOConfigurationPass.php.

Referenced by eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass\__construct().

The documentation for this class was generated from the following file:

- IOConfigurationPass.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.